#
# spec file for package tree-sitter-go
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name go
Name:           tree-sitter-go
Version:        0.23.4
Release:        1.1
Summary:        Go grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter/tree-sitter-go
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.23.4:
  * fix: tag query
  * fix: correct raw string literal parsing
  * feat: improve tags query
- update to 0.23.3:
  * build: update bindings
- update to 0.23.2:
  * build: update bindings
  * chore: generate
  * feat: add string content nodes
  * build: update bindings
  * chore: regenerate
  * feat: add fields in keyed_element
- update to 0.23.1:
  * build: update bindings (again)
- update to 0.23.0:
  * fix: hide newline tokens
  * fix(go): correct test
  * fix(go): move go.mod to root dir
  * fix(go): correct module path
- update to 0.21.2:
  * nothing relevant
- update to 0.21.1:
  * chore: generate
  * feat: add var_spec_list
  * fix: the name field should not include commas
  * fix: allow special argument lists to be omitted in case it's a local
  * fix: rename highlights query constant
- add neovim links
- switch to download_files service
- add devel package
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.21.0:
  * refactor!: rework type parameters and interface type elements
  * feat: support type instantiation expressions
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.0:
  * chore: update CI action
  * chore: update & format manifests & bindings
  * feat: add eslint formatting & ci action
  * chore: move corpus to test/corpus
  * chore: generate
  * ci: add a release action
  * fix: allow EOF to terminate a program
